from flask import Flask, request
from flask_socketio import SocketIO
from flask_jwt_extended import JWTManager

app = Flask(__name__)
jwt = JWTManager(app)

@app.before_request
def handle_preflight():
    if request.method == "OPTIONS":
        response = app.make_default_options_response()
        headers = {
            'Access-Control-Allow-Origin': '*',
            'Access-Control-Allow-Methods': 'GET, POST, PUT, DELETE, OPTIONS',
            'Access-Control-Allow-Headers': 'Content-Type, Authorization'
        }
        for k, v in headers.items():
            response.headers[k] = v
        return response

socketio = SocketIO(app, async_mode='gevent', cors_allowed_origins="*")